package com.jld.vod.dao

import androidx.paging.DataSource
import androidx.room.*
import com.jld.vod.model.bean.CarSiteAllBean


/**
 * @author ZhaoFuXin
 * @Email：18276061387@163.com
 * @description:
 * @date :2019/11/28 15:31
 */
@Dao
interface CarSiteAllDao {
    @Insert
    fun insertAll(vararg users: CarSiteAllBean)

    @Query("SELECT * FROM CarSiteAllBean")
    fun getAll(): List<CarSiteAllBean>

    /**
     * 获取所有设备给paging使用
     */
    @Query("SELECT * FROM CarSiteAllBean")
    fun getAlls(): DataSource.Factory<Int, CarSiteAllBean>

    @Query(" DELETE FROM CarSiteAllBean")
    fun delete()
}